/* Microchip Technology Inc. and its subsidiaries.  You may use this software 
 * and any derivatives exclusively with Microchip products. 
 * 
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS".  NO WARRANTIES, WHETHER 
 * EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED 
 * WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A 
 * PARTICULAR PURPOSE, OR ITS INTERACTION WITH MICROCHIP PRODUCTS, COMBINATION 
 * WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION. 
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
 * INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
 * WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS 
 * BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.  TO THE 
 * FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS 
 * IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF 
 * ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 * MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE OF THESE 
 * TERMS. 
 */

/* 
 * File:   
 * Author: 
 * Comments:
 * Revision history: 
 */

#include "mcc_generated_files/i2c1.h"
#include "mcc_generated_files/system.h"
#define FCY      _XTAL_FREQ
#include <libpic30.h> 

#define     LCD_ADRS        0x3E 

#define     CLS             0x01
#define     Home            0x02

void writeCommand(uint8_t t_command);
void writeData(uint8_t t_data);
void init_LCD(void);
void LCD_Cls(void); 
void LCD_Home(void);
void LCD_Mode(int no);
void LCD_Print(char * data);
void LCD_Print_L(uint8_t x, uint8_t y, char * data);
void LCD_Move(uint8_t x, uint8_t y);
void Check_Position();
void Contrast(uint8_t data);
void Display(uint8_t data);
void Cursor(uint8_t data);
void Brink(uint8_t data);
void Cursor_Shift(uint8_t data);
void LCD_Put_C(char data);
void LCD_Put_C_L(uint8_t x, uint8_t y, char data);
void Set_Char(uint8_t no, uint8_t *data);

